<?php
require(dirname(__FILE__) .'/check.php');

Area::CheckIsOutSubmit('alertStr');	// 检测是否外部提交

$mode	= OT::GetStr('mode');

if ( in_array($mudi,array('buyOrders','gift','quan','taokeOrder','taokeOrderCheck','taokeOrderDel','taokeOrderJiesuan','qiandao','userGroupWork','userScoreMul','gainMoney','gainScore','apiKey')) ){
	$userSysArr = Cache::PhpFile('userSys');

	$addiField = '';
	switch ($mudi){
		case 'taokeOrder': case 'taokeOrderJiesuan': 	$addiField = ',UE_money,UE_score1,UE_score2,UE_score3';	break;
	}

	if ($mode == 'new'){ $modeStr = 'alertHref'; }else{ $modeStr = 'alert'; }
	$userRow = Users::Open('get',',UE_username,UE_state,UE_authStr'. $addiField,'',$judUserErr);
		if ((! $userRow) || $judUserErr != ''){
			JS::ModeDeal($modeStr,false,'请先登录，该功能需要登录才能使用。（'. $judUserErr .'）','users.php?mudi=login&force=1&isBack=1');
		}
		if ($userRow['UE_state'] == 0){
			JS::ModeDeal($modeStr,false,'您尚未审核通过，该功能无法使用。','users.php?mudi=login&force=1&isBack=1');
		}
		// 检测用户邮箱、手机号是否需要强制验证
		AreaApp::UserTixing($userRow['UE_authStr'], $userSysArr, 1, 'js');
}



switch ($mudi){
	case 'buyOrders':
		// 会员订单录入 处理 需要 $DB $userRow $buySysArr
		AppBuyOrders::Deal(OT_MODE);
		break;

	case 'gift':
		// 积分商城 处理 需要 $DB $userRow
		AppGift::Deal(OT_MODE);
		break;

	case 'quan':
		// 卡券 处理 需要 $DB $userRow
		AppQuan::Deal(OT_MODE);
		break;

	case 'taokeOrder':
		// 淘客用户订单 处理 需要 $DB $userRow
		AppTaokeOrder::Deal(OT_MODE);
		break;

	case 'taokeOrderCheck':
		// 淘客用户订单检测 处理 需要 $DB $userRow
		AppTaokeOrder::CheckDeal(OT_MODE);
		break;

	case 'taokeOrderDel':
		// 淘客用户订单删除 处理 需要 $DB $userRow
		AppTaokeOrder::DelDeal(OT_MODE);
		break;

	case 'taokeOrderJiesuan':
		// 淘客用户订单结算 处理 需要 $DB $userRow（废弃）
		AppTaokeOrder::JiesuanDeal(OT_MODE);
		break;

	case 'qiandao':
		// 签到 需要 $DB $userRow
		AppQiandao::Deal(OT_MODE);
		break;

	case 'form':
		// 多用途表单 处理 需要 $DB
		AppForm::Deal(OT_MODE);
		break;

	case 'logoAdd':
		// 申请友情链接 处理 需要 $DB
		AppLogoAdd::Deal(OT_MODE);
		break;

	case 'newsVerCode':
		// 内容页输入验证码查看
		AppNewsVerCode::Deal(OT_MODE);
		break;

	case 'wxmpLogin':
		// 微信公众号登录
		AppWeixin::AutoLoginDeal(OT_MODE);
		break;

	case 'job':
		// 人才招聘
		AppJob::Deal(OT_MODE);
		break;

	case 'bbsWrite':
		// 简易小论坛 发帖
		AppBbsDeal::Write(OT_MODE);
		break;

	case 'bbsReply':
		// 简易小论坛 回复
		AppBbsDeal::Reply(OT_MODE);
		break;

	case 'userGroupWork':
		// 会员组 领工资 需要 $DB $userRow
		AppUserGroupWork::Deal(OT_MODE);
		break;

	case 'userState1':
		// 会员转正	自带了检测会员登录模块
		AppUserState1::Deal(OT_MODE);
		break;

	case 'userScoreMul':
		// 金额兑换积分 需要 $DB $userRow
		AppMoneyPayDeal::UserScoreMul(OT_MODE);
		break;

	case 'userGroupXufei':
		// 会员组续费/延长	自带了检测会员登录模块
		AppUserGroup::XufeiDeal(OT_MODE);
		break;

	case 'userGroupKaitong':
		// 会员组开通/更换  自带了检测会员登录模块
		AppUserGroup::KaitongDeal(OT_MODE);
		break;

	case 'workCenter':
		// 任务中心 领取  自带了检测会员登录模块
		AppWorkCenter::Deal(OT_MODE);
		break;

	case 'userView':
		// 会员浏览记录  自带了检测会员登录模块
		AppUserView::Deal(OT_MODE);
		break;

	case 'userViewDel':
		// 会员浏览记录 删除  自带了检测会员登录模块
		AppUserView::Del(OT_MODE);
		break;

	case 'userMark':
		// 会员收藏记录  自带了检测会员登录模块
		AppUserMark::Deal(OT_MODE);
		break;

	case 'userMarkDel':
		// 会员收藏记录 删除  自带了检测会员登录模块
		AppUserMark::Del(OT_MODE);
		break;

	case 'report':
		// 会员举报  自带了检测会员登录模块
		AppReport::Deal(OT_MODE);
		break;

	case 'siteMessagePwd':
		// 站内信息 密码 需要 $DB
		AppSiteMessage::PwdDeal(OT_MODE);
		break;

	case 'siteMessage':
		// 站内信息 处理 需要 $DB
		AppSiteMessage::Deal(OT_MODE);
		break;

	case 'siteMessageReply':
		// 站内信息 回复处理 需要 $DB
		AppSiteMessage::ReplyDeal(OT_MODE);
		break;

	case 'gainMoney':
		// 推广提现 提现处理 需要 $DB $userRow
		AppGain::MoneyDeal(OT_MODE);
		break;

	case 'gainScore':
		// 推广提现 积分兑换佣金处理 需要 $DB $userRow
		AppGain::ScoreDeal(OT_MODE);
		break;

	case 'apiKey':
		// API接口调用
		AppSiteApi::Deal(OT_MODE);
		break;

	default:
		die('err');

}

$DB->Close();

?>